## ros-indigo-cob-bringup-sim 0.6.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_bringup_sim)

find_package(catkin REQUIRED)

catkin_package()

### TEST ###
if(CATKIN_ENABLE_TESTING)
  find_package(cob_default_env_config REQUIRED)
  find_package(cob_supported_robots REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${cob_supported_robots_ROBOTLIST})
    foreach(env ${cob_default_env_config_ENVLIST})
      message("testing for robot: ${robot} in env: ${env}")
      #roslaunch_add_file_check(launch robot:=${robot} robot_env:=${env})
      roslaunch_add_file_check(launch ROBOT=${robot} ROBOT_ENV=${env})
    endforeach()
  endforeach()
endif()

### INSTALL ###
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/remove_object.py scripts/spawn_object.py scripts/move_object.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-bringup-sim (0.6.10-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.9-0trusty) trusty; urgency=high

  * Merge pull request #160 <https://github.com/ipa320/cob_simulation/issues/160> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #156 <https://github.com/ipa320/cob_simulation/issues/156> from ipa-fxm/add_move_initialpose_mode
    add move_initialpose mode
  * add move_initialpose mode
  * Merge pull request #154 <https://github.com/ipa320/cob_simulation/issues/154> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #151 <https://github.com/ipa320/cob_simulation/issues/151> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felx Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.8-0trusty) trusty; urgency=high

  * refactored the code and added retreating model while on circular motion
  * provision for re-spawning the person object to the start, due to presence of obstacle
  * use xacro --inorder
  * allow single letter option for move_object
  * rospy.sleep exception handling
  * wait for models and cleanup
  * launch argument world_name
  * use exported robotlist and envlist
  * manually fix changelog
  * debug functionality
  * continue motion if object is far away enough
  * metavars for parser options
  * introduce stop_objects list and stop_distance
  * remove throttled
  * add missing robots to robotlist
  * added stopping of objects
  * Contributors: fmw-ss, hannes, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.7-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * make roslaunch a denend (was only exec_depend)
  * Contributors: Florian Weisshardt

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.6-0trusty) trusty; urgency=high

  * enable tests for ipa-office
  * fix roslaunch tests
  * fix roslaunch tests
  * delete ipa-factory
  * support relative defined objects in remove_objects.py and tabs vs spaces
  * Added feature of deleting multiple objects included in a group to script remove_object.py
  * enable roslaunch checks
  * remove prints and rename groups namespace
  * Updated structure of spawn_object.py to reduce code redundance
  * Added the functionality to spawn sdf's using spawn_object and a check if object is there before deleting it
  * Updated spawn objects script so that it takes object groups into account
  * generic wait for environment before spawn robot
  * spawn_object supports children objects
  * added script file to spawn racks and other objects
  * Contributors: Benjamin Maidel, Florian Weisshardt, ipa-fmw, ipa-fxm, ipa-mig-mc, ipa-nhg, ipa-srd-rd

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.5-0trusty) trusty; urgency=high

  * fix install tags and dependencies
  * fix move_object script
  * Update move.py
  * added people, move.py and changed model names
  * added people and the possibility to move objects
  * enable other gazebo worlds packages
  * remove robot_id
  * better default robot_id
  * delete two_robots.launch
  * Merge pull request #91 <https://github.com/ipa320/cob_simulation/issues/91> from ipa-mig-mc/fix/issue_number_90_missing_import_roslib
    added import roslib to spawn_object.py and did corresponding addition…
  * launch file for spawning two robots
  * added import roslib to spawn_object.py and did corresponding addition to packages.xml
  * space
  * nicer structure
  * Revert "spawn two robots"
    This reverts commit b66aa13d920824a052d398dd8b49cb52c2c4a155.
  * spawn two robots
  * Contributors: Felix Gruber, Felix Messmer, Florian Weisshardt, hannes, ipa-fmw, ipa-fxm, ipa-mig-mc

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.4-0trusty) trusty; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.3-0trusty) trusty; urgency=high

  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.2-0trusty) trusty; urgency=high

  * introduce launchfile argument for -J option of spawn_model
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.1-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.6.0-0trusty) trusty; urgency=high

  * remove object script working
  * Merge pull request #65 <https://github.com/ipa320/cob_simulation/issues/65> from ipa320/hydro_dev
    bringin updates from hydro_dev
  * Merge pull request #64 <https://github.com/ipa320/cob_simulation/issues/64> from ipa320/hydro_release_candidate
    Hydro release candidate
  * 0.5.2
  * update changelog
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.5.2-0trusty) trusty; urgency=high

  * cleaning up
  * New maintainer
  * Contributors: ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-bringup-sim (0.5.1-0trusty) trusty; urgency=high

  * merge with groovy_dev
  * setup tests


=== debian/control ===
Source: ros-indigo-cob-bringup-sim
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-default-env-config, ros-indigo-cob-supported-robots, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/cob_bringup_sim
Standards-Version: 3.9.2

Package: ros-indigo-cob-bringup-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-indigo-cob-default-env-config, ros-indigo-cob-default-robot-config, ros-indigo-cob-gazebo, ros-indigo-cob-gazebo-worlds, ros-indigo-gazebo-msgs, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-roslaunch, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-tf
Description: This package provides launch files for starting a simulated Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-bringup-sim//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
